gnutls_session_set_verify_cert(3)

NAME
gnutls_session_set_verify_cert - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_session_set_verify_cert(gnutls_session_t session, const char * hostname, unsigned flags);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

const char * hostname
    is the expected name of the peer; may be NULL

unsigned flags
    flags for certificate verification -- gnutls_certificate_verify_flags

DESCRIPTION
This function instructs GnuTLS to verify the peer's certificate using the provided hostname. If the verification fails the handshake will also fail with GNUTLS_E_CERTIFICATE_VERIFICATION_ERROR. In that case the verification result can be obtained using gnutls_session_get_verify_cert_status().

The hostname pointer provided must remain valid for the lifetime of the session. More precisely it should be available during any subsequent handshakes. If no hostname is provided, no hostname verification will be performed. For a more advanced verification function check gnutls_session_set_verify_cert2().

The gnutls_session_set_verify_cert() function is intended to be used by TLS clients to verify the server's certificate.

SINCE
3.4.6

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/